
Foreman - Bug #28945

While creating a host for a particular location, all the domains are in the pull down list, even if only

one domain is selected for that location.

02/06/2020 10:47 AM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1743056 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7468,

https://github.com/theforeman/foreman/p

ull/7499

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1743056

Description of problem:

Even though a location only has one domain selected, when creating Hosts for that location all domains are in the pull down list, but

only the Subnets assigned to the location are in the pull down list.

Version-Release number of selected component (if applicable):

Red Hat Satellite 6.4

Steps to Reproduce:

1. Create multiple domains.

2. Associate only a single domain with the location.

3. While creating a host via provisioning, select the appropriate location and notice the availability of multiple domains on the

"Interface" tab even when a particular location has been selected, which should only show one single domain associated with that

location.

Actual results:

The domains that have not even been tied to the location are being shown on the "Interface" tab while creating a host on Satellite

Web UI.

Expected results:

When a location is selected, only the domain/s associated with that location should be shown/displayed.

Additional info:

Screenhosts have been attached to bugzilla.

Associated revisions

Revision e45b839d - 03/09/2020 02:06 PM - Leos Stejskal

Fixes #28945 - Taxonomy scope for interfaces action

Domains for interfaces at Host#create

form are now in taxonomy scope.
Revision c2ccd2c8 - 03/10/2020 10:58 AM - Leos Stejskal

Refs #28945 - Fix failing integration tests (#7499)

History

#1 - 02/25/2020 08:43 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7468 added

#2 - 03/09/2020 02:06 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 03/09/2020 03:01 PM - Leos Stejskal

- Status changed from Ready For Testing to Closed

Applied in changeset e45b839db83cfc69ad4876644a88fb9a44f35f58.

#4 - 03/10/2020 09:43 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7499 added
